import request from '@/utils/request'

/**
 * 一键上线
 */
export function unifiedOnline() {
  return request({
    url: `/vehicle/unified/online`,
    method: 'post'
  })
}
/**
 * 一键离线
 */
export function unifiedOffline() {
  return request({
    url: `/vehicle/unified/offline`,
    method: 'post'
  })
}
/**
 * 一键上报
 */
export function unifiedSend() {
  return request({
    url: `/vehicle/unified/send`,
    method: 'post'
  })
}
/**
 * 一键重置路径
 */
export function unifiedPosition() {
  return request({
    url: `/vehicle/unified/position`,
    method: 'post'
  })
}
/**
 * 一键取消上报
 */
export function unifiedStop() {
  return request({
    url: `/vehicle/unified/stop`,
    method: 'post'
  })
}
/**
 * 一键执行任务状态
 */
export function unifiedStatus() {
  return request({
    url: `/vehicle/unified/status`,
    method: 'GET'
  })
}
