import request from '@/utils/request'

export function login(data) {
  return request({
    url: '/system/auth/login',
    method: 'post',
    data: data
  })
}
export function reg(data) {
  return request({
    url: '/system/auth/reg',
    method: 'post',
    data: data
  })
}

export function getInfo(token) {
  return request({
    url: '/system/auth/info',
    method: 'get',
    params: { token }
  })
}

export function logout() {
  return request({
    url: '/system/auth/logout',
    method: 'post'
  })
}
