import request from '@/utils/request'

export function create(params) {
  return request({
    url: '/vehicle/create',
    method: 'post',
    data: params
  })
}

export function gen(number) {
  return request({
    url: `/vehicle/gen/${number}`,
    method: 'GET'
  })
}

export function remove(vin) {
  return request({
    url: `/vehicle/${vin}`,
    method: 'DELETE'
  })
}
